//
//  Cinema.m
//  OC练习
//
//

#import "Cinema.h"

@implementation Cinema
//定义行列
#define ROW 7
#define COL 15

//初始化
-(instancetype)initWithTickets{
    if (self = [super init]) {
       //初始化影院名称
        name=@"万达影院";
        //初始化影院位置
        location=@"中原万达";
        //初始化电影票信息;movieNo,name，actor,director,showtime;price,rowNo,colNo,startTime,roomNo,ticketNo
        for(int i=0;i<5;i++){
            //每次循环都创建一个MovieTicket对象
            MovieTicket *movTicket=[MovieTicket new];
            
            
            movTicket.movieNo=i+1;
            movTicket.name=[NSString stringWithFormat:@"变形金刚%d",i+1];
            movTicket.actor=[NSString stringWithFormat:@"擎天柱/巨无霸/周星驰"];
            movTicket.director=[NSString stringWithFormat:@"周星驰"];
            movTicket.showtime=[NSString stringWithFormat:@"201%d年10月",i+1];
            movTicket.price=38.0f;
            movTicket.startTime=@"晚上20：00";
            movTicket.roomNo=8;
            movTicket.ticketNo=1000+i;
            //地址赋值给ticket[i]
            ticket[i]=movTicket;
            
        }
        
    }
    return self;
}


//列出所有电影
-(void)listMovies{
    printf("有以下电影上映：\n");
    for (int i=0; i<5; i++) {
        
        printf("电影编号：%02d\n",ticket[i].movieNo);
        printf("电影：%s\n",[ticket[i].name UTF8String]);
        printf("主演：%s\n",[ticket[i].actor UTF8String]);
        printf("导演：%s\n",[ticket[i].director UTF8String]);
        printf("上映时间：%s\n",[ticket[i].showtime UTF8String]);
        printf("票价：%.2f\n",ticket[i].price);
        printf("------------------------------------\n\n");
    }
}

//选择电影
-(void)selectMovie{
    printf("您选择的电影是：\n");
    int i=_selectNo-1;
    printf("电影编号：%02d\n",ticket[i].movieNo);
    printf("电影：%s\n",[ticket[i].name UTF8String]);
    printf("主演：%s\n",[ticket[i].actor UTF8String]);
    printf("导演：%s\n",[ticket[i].director UTF8String]);
    printf("上映时间：%s\n",[ticket[i].showtime UTF8String]);
    printf("票价：%.2f\n",ticket[i].price);
}

//列出所有的座位
-(void)listSeats{
    printf("当前影厅有%d排%d列\n",ROW,COL);
//  printf("行为：%d,列为：%d\n",_selectRowNo,_selectColNo);
    for(int i=-1;i<ROW;i++){
        for (int j=-1; j<COL; j++) {
            //第一行为数字
            if (i==-1) {
                printf("%02d ",j+1);
            }else if(j==-1){
                printf("%02d ",i+1);
            }else if (_selectRowNo!=0&&_selectColNo!=0&&i==_selectRowNo-1&&j==_selectColNo-1){
                printf("@  ");
            }else{
                printf("+  ");
            }
            
        }
        //换行
        printf("\n");
    }
}

//支付
-(void)pay{
    printf("支付中......\n");
    printf("支付成功！\n");
}

//打印票据
-(void)printTicket{
    printf("您选择的电影是：\n");
    int i=_selectNo-1;
    printf("影票编号：%d\n",ticket[i].ticketNo);
    printf("电影：%s\n",[ticket[i].name UTF8String]);
    printf("主演：%s\n",[ticket[i].actor UTF8String]);
    printf("开始时间：%s\n",[ticket[i].startTime UTF8String]);
    printf("放映厅：第%d放映厅\n",ticket[i].roomNo);
    printf("票价：%.2f\n",ticket[i].price);
    printf("购票成功，祝你观影愉快！\n");
    [self listSeats];

}

@end
