//
//  main.m
//  电影购票系统
/*
 要实现功能：用户要去’电影院‘买一张’票‘看’电影‘
 提示购票->列出所有电影->用户选择电影->提示选择座位->用户选择排，选择座->再次确认是否购票
 ->确认打印票据和座位号，取消返回结束
 框架：
 电影movie类：name，actor,director,showtime,
 电影票movieTicket类：price,rowNo,colNo,startTime,roomNo,ticketNo
 电影院cinema类：name,location,movieTickets,selectNo，selectRowNo，selectColNo
 方法：
 //重写构造方法，初始化就有值
 -(instancetype)initWithTickets;
 
 //列出所有电影
 -(void)listMovies;
 
 //列出所有的座位
 -(void)listSeats;
 
 //选择电影
 -(void)selectMovie;
 
 //支付
 -(void)pay;
 
 //打印票据
 -(void)printTicket;
 
 */

#import <Foundation/Foundation.h>
#import "Cinema.h"
#import "MovieTicket.h"
#import "Movie.h"
int main(int argc, const char * argv[]) {
    @autoreleasepool {
        
        //创建影院对象
        Cinema *cinema=[[Cinema alloc] initWithTickets];
        
        printf(">>>>>>>>>>>>>>>欢迎使用购票系统<<<<<<<<<<<<<<<\n");
        printf("请选择要进行操作：\n1、购票\n2、返回\n");
        //选择看电影
        int step1;
        scanf("%d",&step1);
        if (step1==1) {
            [cinema listMovies];
            printf("请输入您想看的电影编号：\n");
        }else if(step1==2){
            printf("操作结束，谢谢使用！\n");
            return 0;
        }else{
            printf("操作错误，请重新操作\n");
            return 0;
        }
        //选择想看的电影编号,接受用户选择的编号
        int step2;
        scanf("%d",&step2);
        if (step2>0&&step2<6) {
            cinema.selectNo=step2;
            [cinema selectMovie];
        }
        
        //列出座位数，用户选择,共7排15列
        [cinema listSeats];
        //保存用户选择的排数
        printf("请选择排数：");
        int step3;
        scanf("%d",&step3);
        if (step3>0&&step3<8) {
            cinema.selectRowNo=step3;
        }else{
            printf("输入排数不正确，请重新操作！\n");
            return 0;
        }
        //保存用户选择的列
        printf("请选择列数：");
        int step4;
        scanf("%d",&step4);
        if (step4>0&&step4<16) {
            cinema.selectColNo=step4;
        }else{
            printf("输入排数不正确，请重新操作！\n");
            return 0;
        }
        //列出用户选择后的座位
        [cinema listSeats];
        printf("确定购买吗？按1确定，按2取消\n");
        //保存用户是否确定
        int step5;
        scanf("%d",&step5);
        if (step5==1) {
            //支付
            [cinema pay];
            //打印票据
            [cinema printTicket];
        }else if(step5==2){
            printf("操作结束，谢谢使用！\n");
            return 0;
        }else{
            printf("操作错误，请重新操作\n");
            return 0;
        }

        
    }
    return 0;
}
